@import url('https://fonts.googleapis.com/css2?family=Roboto:ital,wght@0,100;0,300;0,400;0,500;0,700;0,900;1,100;1,300;1,400;1,500;1,700;1,900&display=swap');
@font-face {
    font-family: 'insales-icons';
    src: url('/font/insales-icons.woff2') format('woff2');
}
@font-face {
    font-family: 'PT Root UI';
    src: url('/font/PT-Root-UI_Bold.ttf');
}
* {
    box-sizing: border-box;
}
html {
    max-height: 50vh;
}
body, html {
    background-color: #171717;
    scrollbar-width: none;
}
body.fixed {
    overflow-y: hidden;
}
main {
    padding-top: 50px;
}
body {
    font-family: "Roboto", sans-serif;
    color: #fafafa;
    margin: 0;
    padding: 0;
    position: relative;
    max-width: 500px;
    margin: 0 auto;
}
a:link, a:visited, a:active, a:hover {
    color: #fafafa;
    text-decoration: none;
}
input[type="range"] {
    padding: 0;
}
input {
    background-color: #434343;
    border: 1px solid #3c3b3b;
    border-radius: 2px;
    outline: none;
    height: 24px;
    color: white;
    padding: 0 8px;
    font-size: 14px;
}
input:focus {
    outline: none;
}
textarea {
    resize: none;
    border-radius: 6px;
    outline: none;
    padding: 0 8px;
    font-size: 14px;
    height: 60px;
}
textarea:focus {
    outline: none;
}

.menu__wrapper {
    border: 1px solid #343434;
    background: #2a2a2a;
    width: 100%;
    position: fixed;
    overflow-y: auto;
    top: 0;
    bottom: 0;
    right: -100%;
    display: block;
    z-index: 998;
    transition: transform .3s ease-in;
}
.profile__wrapper {
    border: 1px solid #343434;
    background: #2a2a2a;
    width: 100%;
    position: fixed;
    overflow-y: auto;
    top: 0;
    bottom: 0;
    left: -100%;
    display: block;
    z-index: 998;
    transition: transform .3s ease-in;
}

.menu__wrapper.open {
    transform: translate(-100%, 0);
}
.profile__wrapper.open {
    transform: translate(100%, 0);
}
ul { /*menu and categories*/
    font-size: 17px;
}
.menu__content {
    max-width: 500px;
    margin: 0 auto;
    padding: 44px 12px 12px 18px;
}
ul.profile__menu, .admin__panel {
    list-style-type: none;
    padding-left: 0;
}
ul.profile__menu li {
    margin-top: 10px;
}

.admin__panel__wrapper {
    margin-top: 50px;
    display: none;
}
.admin__panel__wrapper.active {
    display: block;
}

.admin__panel__title {
    text-align: center;
    color: grey;
    border-bottom: 1px solid #505050;
    margin-bottom: 14px;
}

.products__category {
    list-style-type: none;
    padding: 0;
}
ul.products__category li.category {
    margin-top: 14px;
}
.sub__products__category {
    list-style-type: none;
    padding-left: 10px;
    margin-top: 4px;
}
.sub__products__category .category {
    padding: 2px;
}

.search__products__wrapper {
    position: absolute;
    width: 100%;
    background: #2a2a2a;
    border: 1px solid #343434;
    overflow-y: auto;
    scrollbar-width: none;
    z-index: 998;
    transition: transform .3s ease-in;
    top: 0;
    bottom: 0;
    transform: translate(0px, -100%);
    padding: 60px 8px 350px 8px;
}
.search__products__wrapper.open {
    transform: translate(0px, 0px);
}

.search__products__list {
    display: flex;
    justify-content: space-between;
    flex-wrap: wrap;
    height: fit-content;
    overflow-y: auto;
    scrollbar-width: none;
    margin-bottom: 100px;
}
a.product {
    width: 49%;
    margin-bottom: 8px;
    display: block;
    font-size: 14px;
}
a.product .img__wrapper > img {
    width: 100%;
}
a.product .name__wrapper {
    margin-top: 4px;
}
.old__price__wrapper > span {
    text-decoration: line-through;
    color: grey;
}


.posts__wrapper {
    width: 100%;
    padding: 12px;
    padding-top: 0;
}

.post {
    width: 100%;
    min-height: 100px;
    border-radius: 8px;
    border: 1px solid #343434;
    background: #2a2a2a;
    margin-top: 8px;
    min-height: 170px;
}
.post.load {
    background-image: linear-gradient(270deg, #64b5ef00 48.44%, #404c64 75.52%, #404c6400);
    background-repeat: no-repeat;
    animation: load linear 1.5s infinite;
}
.post__header {
    margin: 2px 8px 0px 8px;
}
.author__wrapper {
    display: flex;
    gap: 4px;
    align-items: center;
}
.author__wrapper img {
    height: 30px;
    width: 30px;
    border-radius: 50%;
    border: 1px solid #363636;
}
.post__date {
    font-size: 16px;
}
.post__date .author {
    margin-top: 4px;
}
.post__date .time {
    font-size: 11px;
    color: grey;
}
.post__text {
    padding: 8px;
    white-space: pre;
    text-wrap: wrap;
    font-size: 14px;
}
input.second__style {
    color: black;
    background-color: #ffffff;
    border-radius: 4px;
}

@keyframes load {
    0% {
        background-position: -500px 0;
    }
    
    100% {
        background-position: 500px 0;
    }
}